Class
ToStdAllocator
Emulates standard conform allocator.
ToStdAllocator<THost, TValue>
Include Headers
seqan/basic.h
Parameters

THost | Type of the host allocator object. This object is used to call allocate and deallocate.
TValue | Type of allocated items.

Remarks
The member functions allocate and deallocate of ToStdAllocator call the (globale) functions allocate and deallocate, respectively. The globale functions get an allocator object as their first arguments. This allocator object is not the ToStdAllocator object itself, but the host object that was given to the constructor.
Member Functions

ToStdAllocator | Constructor

Functions

host | The object a given object depends on.

See Also
deallocate, allocate
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45